For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet cost centers
      • POSTCreate a new cost center
      • GETGet a cost center by ID
      • DELDelete a cost center
      • PATCHUpdate a cost center
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementCost centers

Delete a cost center

DELETE
/cost_centers/:cost_center_id
DELETE
/v1/cost_centers/:cost_center_id
$curl -X DELETE https://api.sandbox.monite.com/v1/cost_centers/cost_center_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Delete a cost center
Was this page helpful?
Previous

Update a cost center

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cost_center_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Cost Centers ID Request Bad Request Error
401
Delete Cost Centers ID Request Unauthorized Error
403
Delete Cost Centers ID Request Forbidden Error
404
Delete Cost Centers ID Request Not Found Error
409
Delete Cost Centers ID Request Conflict Error
422
Delete Cost Centers ID Request Unprocessable Entity Error
429
Delete Cost Centers ID Request Too Many Requests Error